// LCD displej Nokia 5110

// připojení knihovny Nokia5110
#include <Nokia5110.h>

// nastavení propojovacích pinů
#define RST 8
#define CE 7
#define DC 6
#define DIN 5
#define CLK 4

// inicializace LCD displeje z knihovny
LCDnokia5110 lcd(RST, CE, DC, DIN, CLK);

void setup(void) {
  // zahájení komunikace s displejem
  lcd.LcdInitialise();
  // vymazání obsahu displeje
  delay(200);
  lcd.LcdClear();
  // nastavení velikosti mezery mezi písmeny,
  // lze nastavit na 0, 1 či 2 body
  lcd.CharSpace = 1;
  // nastavení kurzoru na 27 znak, 1 řádek,
  // tj. číslování od nuly
  lcd.GotoXY(26, 0);
  // vytištění zprávy
  lcd.LcdString("Navody");
  lcd.GotoXY(42, 1);
  lcd.LcdString(".");
  lcd.GotoXY(6, 2);
  lcd.LcdString("arduino-shop");
  lcd.GotoXY(42, 3);
  lcd.LcdString(".");
  lcd.GotoXY(39, 4);
  lcd.LcdString("cz");
}

void loop(void) {
  // nastavení kurzoru na 21 znak, 6 řádek
  lcd.GotoXY(20, 5);
  // pro vytištění číselné proměnné,
  // v tomto případě času, je nutné
  // toto číslo převést následujícím způsobem:
  // uložení času v sekundách (millis/1000)
  // do proměnné cas
  String cas = String(millis() / 1000, DEC);
  // vytvoření pomocné proměnné tisk pro
  // uložení v tisknutelném tvaru,
  // číslo 10 udává počet znaků zprávy
  char tisk[10];
  // převod proměnné cas do proměnné tisk
  cas.toCharArray(tisk, 10);
  // vytištění informace na displej
  lcd.LcdString("Cas ");
  lcd.LcdString(tisk);
  lcd.LcdString(" s");
  // volitelná pauza 500 ms
  delay(500);
}